

## Available Scripts

In the project directory, you can run:

### `npm install`

Install node_modules beforing running the app.

### `npm start`

Runs the app in the development mode.<br>
Open [http://localhost:3000](http://localhost:3000) to view it in the browser.

The page will reload if you make edits.<br>
You will also see any lint errors in the console.

### `npm test`

Launches the test runner in the interactive watch mode.

### `npm run build`

Builds the app for production to the `build` folder.<br>
It correctly bundles React in production mode and optimizes the build for the best performance.

<hr>

## Get HTTPS working in localhost development environment

[https://reactpaths.com/how-to-get-https-working-in-localhost-development-environment-f17de34af046](https://reactpaths.com/how-to-get-https-working-in-localhost-development-environment-f17de34af046) <br>
On [Linux], to let the map get your current location because it is not accepted on normal localhost (HTTP), follow these steps:

#### openssl genrsa -des3 -out rootSSL.key 2048

Create a private key `rootSSL.key` and provide a pass phrase when asked for.

#### openssl req -x509 -new -nodes -key rootSSL.key -sha256 -days 1024 -out rootSSL.pem

Create certificate `rootSSL.pem` file using private key `roorSSL.key`. <br>
The validity is `1024` days which you can set to any number of days and I recommend the longer the better. <br>
You will be asked a number of questions which you need to answer. For example: VI / HCMC / HCMC / BKU / BKU / Local Certificate / your@email.com

#### sudo mkdir /usr/local/share/ca-certificates/extra

#### sudo cp rootSSL.pem /usr/local/share/ca-certificates/extra/rootSSL.crt

#### sudo update-ca-certificates

Now you can get your current location.
