import React from "react";
import "./fragments-style.css";
import { Tooltip } from "antd";

export class LocateControl extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  onLocate = () => {
    navigator.geolocation.getCurrentPosition(this.success, this.error, {
      timeout: 10000,
    });
  };

  success = (location) => {
    if (this.props.onLocate) {
      this.props.onLocate(location);
    }
  };

  error = (error) => {};

  render() {
    return (
      <Tooltip title="Vị trí của tôi">
        <div
          onClick={this.onLocate}
          className="locate-control-custom"
          style={this.props.style}
        >
          <div className="locate-icon"></div>
        </div>
      </Tooltip>
    );
  }
}
