import React from 'react';
import TrafficReportForm from '../forms/ReportForm';

export default class User extends React.Component {
  render() {
    return (
      <div>
        <div
          className='blur-bg'
          style={{
            position: 'absolute',
            width: '100vw',
            height: '100%',
            minHeight: '100vh',
            zIndex: -1,
            backgroundImage: `url(${require('../../static/images/City_Skyline.jpg')})`,
            backgroundSize: 'cover',
            backgroundRepeat: 'no-repeat',
            backgroundPosition: 'center center'
          }}
        ></div>
        <div className='form-report-container'>
          <div className='form-report'>
            <TrafficReportForm />
          </div>
        </div>
      </div>
    );
  }
}
