import React from "react";
import { Col, Container, Row, Footer } from "mdbreact";
import { utils } from "../../../modules/utils";

export default class FooterPage extends React.Component {
  render() {
    return (
      <Footer color="cyan darken-3" className="font-small pt-4">
        <Container fluid className="text-center text-md-left">
          <Row>
            <Col md="6">
              <h5 className="title">Utraffic</h5>
              <p>Hệ thống dự đoán tình trạng giao thông ở TP.HCM</p>
            </Col>
            <Col md="6">
              <h5 className="title small">Hướng dẫn</h5>
              <ul>
                <li className="list-unstyled">TS. Trần Minh Quang</li>
              </ul>
              <h5 className="title small">Thực hiện</h5>
              <ul>
                <li className="list-unstyled">Lê Công Huy</li>
                <li className="list-unstyled">Nguyễn Hoàng Mẫn Tiến</li>
                <li className="list-unstyled">Dương Vọng</li>
                <li className="list-unstyled">Trần Quốc Khánh</li>
                <li className="list-unstyled">Nguyễn Nhật Minh</li>
                <li className="list-unstyled">Nguyễn Lê Hoàng Hiệu</li>
                <li className="list-unstyled">Phạm Tấn Đại</li>
              </ul>
            </Col>
          </Row>
        </Container>
        <div className="footer-copyright text-center py-3">
          <Container fluid>
            &copy;{" "}
            {utils.convertTimeToString(new Date(), "MM/YYYY") + " Copyright: "}
            <a href="https://www.hcmut.edu.vn"> Đại học Bách Khoa TP.HCM </a>
          </Container>
        </div>
      </Footer>
    );
  }
}
