export function isEmptyObject(obj) {
    return Object.keys(obj).length === 0 && obj.constructor === Object;
}

export function isNotEmpty(obj) {
    if(! obj) {
        return false;
    }
    if(isEmptyObject(obj)) {
        return false;
    }
    return true;
}

export function isEmptyOrNull(obj) {
    return obj == null || isEmptyObject(obj);
}

export function isExisted(obj) {
    return !isEmptyOrNull(obj);
}

export function around(number, decimal) {
    const value = number*(10**decimal);
    const temp = Math.ceil(value);
    return temp / (10**decimal);
}