
import React from "react";
import ReactDOM from "react-dom";
import * as serviceWorker from "./serviceWorker";

import "font-awesome/css/font-awesome.min.css";
import "bootstrap-css-only/css/bootstrap.min.css";
import "mdbreact/dist/css/mdb.css";
import "react-toastify/dist/ReactToastify.css";
import "./static/css/index.css";
import "./static/css/leaflet.css";
import "./static/css/navbar.css";
import "./static/css/predictTime.css";
import "./static/css/form.css";
import "./static/css/account.css";
import "antd/dist/antd.css";
import "./static/css/recorder.css";

import App from "./App";
import "leaflet-control-geocoder/dist/Control.Geocoder.js";


if (process.env.NODE_ENV === "production") {
  console.log = () => {};
}

ReactDOM.render(<App />, document.getElementById("root"));

// If you want your app to work offline and load faster, you can change
// unregister() to register() below. Note this comes with some pitfalls.
// Learn more about service workers: http://bit.ly/CRA-PWA
serviceWorker.unregister();
