import { combineReducers } from "redux";
import { connectRouter } from "connected-react-router";

import app from "./app";
import user from "./user";
import trafficStatus from "./traffic-status";
import redirect from "./redirect";
import hereMap from "./here-map";
import auth from "./auth";
import vohNews from './voh-news';
import weather from './weather';

export const createReducer = (history) =>
  combineReducers({
    router: connectRouter(history),
    app,
    auth,
    user,
    trafficStatus,
    redirect,
    hereMap,
    vohNews,
    weather
  });

export default createReducer;
