import { Record } from "immutable";
import constant from "../../constants";

export default new Record({
  trafficStatus: new Record({
    isFetching: false,
    message: null,
    data: [],
    isCanceled: false,
  })(),
  isFetching: false,
  message: null,
  isDrew: false,
  report: new Record({
    markerData: [],
    addressData: [
      constant.addressDataStartDefault,
      constant.addressDataEndDefault,
    ],
    error: {},
    reason: "",
    weather: "",
    velocity: "",
    description: "",
    start: {},
    end: {},
    multiReportData: [],
    isDrawable: false,
  })(),
  reportMap: new Record({
    openedPopover : undefined,
  })(),
})();
