export const createAction = (type, payload = {}, message) => ({
    type, payload, message
});

export const Types = {
    changeField: 'app.change-field',
    resetAll: 'reset-all',
}

const changeField = (key = '', value) => createAction(Types.changeField, { key, value });

const resetAll = ()=>createAction(Types.resetAll);

export default {
    createAction,
    Types,
    changeField,
    resetAll,
}