const saveUser = (user) => {
    return localStorage.setItem('app-user', JSON.stringify(user));
}

const loadUser = () => {
    const userString = localStorage.getItem('app-user');
    if (userString) {
        try {
            const user = JSON.parse(userString);
            return user;
        } catch (error) {

        }
    }
    return null;
}

const removeUser = ()=>{
    localStorage.removeItem('app-user');
}

export default{
    loadUser,
    saveUser,
    removeUser,
}