import { Types } from '../../actions/app';
import initialState from './initial-state';
export default (state = initialState, action) => {
    console.log('Dispatch action', action);
    const payload = action.payload;
    // const message = action.message;
    switch (action.type) {
        case Types.resetAll:
            return initialState;
            
        case Types.changeField:
            return state.setIn(payload.key.split('.'), payload.value);

        default: return state;
    }
}